For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inGet Paid
DocumentationAPI Reference
DocumentationAPI Reference
  • Introduction
    • Overview
  • API Reference
      • GETGet contacts
      • POSTCreate contact
      • GETGet contact by ID
      • DELDelete contact
      • GETGet contact by external ID
      • DELDelete contact by external ID
LogoLogo
Log inGet Paid
API Referencecontacts

Create contact

POST
https://api.agentpaid.io/api/v1/contacts
POST
/api/v1/contacts
1import { PaidClient } from "@paid-ai/paid-node";
2
3async function main() {
4 const client = new PaidClient({
5 token: "YOUR_TOKEN_HERE",
6 });
7 await client.contacts.create({
8 salutation: "Mr.",
9 firstName: "John",
10 lastName: "Doe",
11 email: "john.doe@example.com",
12 customerExternalId: "acme-inc",
13 });
14}
15main();
201contacts_create_example
1{
2 "id": "63fd642c-569d-44f9-8d67-5cf4944a16cc",
3 "customerExternalId": "acme-inc",
4 "salutation": "Mr.",
5 "firstName": "John",
6 "lastName": "Doe",
7 "email": "john.doe@example.com"
8}
Was this page helpful?
Previous

Get contact by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
salutationenumRequired
firstNamestringRequired
lastNamestringRequired
emailstringRequired
externalIdstringOptional
customerIdstringOptional
customerExternalIdstringOptional
phonestringOptional
billingStreetstringOptional
billingCitystringOptional
billingStateProvincestringOptional
billingCountrystringOptional
billingPostalCodestringOptional

Response

Success response
idstring
externalIdstring
organizationIdstring
customerIdstring
customerExternalIdstring
salutationenum
firstNamestring
lastNamestring
emailstring
phonestring
billingStreetstring
billingCitystring
billingStateProvincestring
billingCountrystring
billingPostalCodestring